﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using System.Windows.Media;

namespace MyWpfApp.models
{
    internal class ImageBindings:INotifyPropertyChanged
    {
        string path; 
        public string ImgPath //для загрузки картинки при известном пути
        { get => path; set
            {
                path = value;
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(nameof(ImgPath)));
            }
        }

        public ImageSource ImageSource //для загрузки картинки из массива байт
        { get => imageSource; set
            {
                imageSource = value;
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(nameof(ImageSource)));
            }
         }

        ImageSource imageSource;


        public event PropertyChangedEventHandler PropertyChanged;
    }
}
