﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyWpfApp.models
{
    public class User
    {        
        UserTable userTable;
        LoginedTable loginedTable;

        public User(LoginedTable loginedTable)
        {           
            LoginedTable = loginedTable;
            UserTable = Globals.MyGlobalConnection.UserTable.FirstOrDefault(x => x.ID == loginedTable.ID);
        }
         public User()
        { 
            LoginedTable = new LoginedTable();
            UserTable = new UserTable();  
        }

        public string Password { set=>LoginedTable.Password=value.GetHashCode(); }
        public UserTable UserTable { get { userTable.ID = loginedTable.ID; return userTable; } set => userTable = value; }
        public LoginedTable LoginedTable { get => loginedTable; set => loginedTable = value; }
    }
}
